Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.servlet.jsp.tagext
Class PageData

    java.lang.Object
      javax.servlet.jsp.tagext.PageData

public abstract class PageData
extends java.lang.Object

Translation-time information on a JSP page. The information corresponds to the XML view of the JSP page.

Objects of this type are generated by the JSP translator, e.g. when being pased to a TagLibraryValidator instance.

Constructor Summary
`PageData()` Sole constructor.

Method Summary
`abstract java.io.InputStream` | `getInputStream()` Returns an input stream on the XML view of a JSP page.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PageData

    public PageData()

  Sole constructor. (For invocation by subclass constructors, typically implicit.)

Method Detail

### getInputStream

    public abstract java.io.InputStream getInputStream()

  Returns an input stream on the XML view of a JSP page. The stream is encoded in UTF-8. Recall tht the XML view of a JSP page has the include directives expanded.

  Returns:
    An input stream on the document.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2012 The Apache Software Foundation. All Rights Reserved.